body {
  margin: 0;
  padding: 0;
  font-family: Arial, Helvetica, sans-serif;
}

/* Typography */

h2 {
  margin: 0;
  font-size: 2rem;
  color: #8c8ca5;
}

p {
  margin: 0;
}

/* Layout */

.main-section {
  background-color: #f8f8f8;
  max-width: 1024px;
  margin: 0 auto;
  position: relative;
  z-index: 99;
  overflow: hidden;
}
.main-section::before {
  content: "";
  position: absolute;
  background: url("../images/bg-top.svg") no-repeat;
  width: 100%;
  height: 100%;
  top: 0;
  left: 60%;
  z-index: -1;
}

.pricing {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding-top: 2em;
  text-align: center;
}
.toggle {
  margin: 2em 0;
  display: flex;
  align-items: center;
}
.toggle p {
  display: inline-block;
  color: #bab9c7;
}

.toggle .outer-toggle-button {
  margin: 0 1em;
  display: inline-block;
  width: 60px;
  height: 30px;
  background-color: #6d71df;
  border-radius: 30px;
  position: relative;
}
.toggle .outer-toggle-button:hover {
  background-color: #bab9c7;
}
.toggle .inner-toggle-button {
  width: 23px;
  height: 23px;
  background-color: #fff;
  border-radius: 50%;
  position: absolute;
  top: 3px;
  left: 5px;
}

.toggle-active .inner-toggle-button {
  left: 32px;
}

.card {
  width: 300px;

  text-align: center;
  background-color: rgb(255, 255, 255);
  margin: 1.5em auto;
  padding: 0 1em;
  border-radius: 10px;
  box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}

.plan-type p,
.plan-info p,
.plan-price p {
  font-size: 1rem;
  font-weight: bold;
  padding: 1.5em 2em;
  color: #8c8ca5;
}
.plan-info p,
.plan-price p {
  border-bottom: 1px #bab9c7 solid;
}
.plan-price p {
  color: #504f68;
  font-size: 2.5rem;
  padding: 0.5em 1em;
}

.plan-btn button {
  width: 100%;
  margin: 2em 0;
  background-image: linear-gradient(
    to right,
    #969bed,
    #8c90ea,
    #8186e6,
    #777be3,
    #6d71df
  );
  padding: 0.75em;
  border-radius: 5px;
  border: none;
  color: white;
  text-transform: uppercase;
}

.plan-btn button:hover {
  background-image: none;
  color: #777be3;
  background-color: white;
  padding-bottom: 0.6em;
  border: 1px #777be3 solid;
}

.active-card {
  background-image: linear-gradient(
    to right,
    #969bed,
    #8c90ea,
    #8186e6,
    #777be3,
    #6d71df
  );
  color: white;
}

.active-card p,
.active-card p,
.active-card p {
  color: white;
}

.active-card .plan-btn button {
  background-image: none;
  background-color: white;
  color: #6d71df;
}

.active-card .plan-btn button:hover {
  background-image: linear-gradient(
    to right,
    #969bed,
    #8c90ea,
    #8186e6,
    #777be3,
    #6d71df
  );
  color: white;
  padding-bottom: 0.6em;
  border: 1px white solid;
}

@media (min-width: 900px) {
  .cards {
    display: flex;
    justify-content: center;
  }
  .main-section {
    padding: 0 7em 3em 7em;
  }
  .active-card {
    transform: scale(1.1);
  }
  .main-section::before {
    left: 70%;
  }

  .main-section::after {
    content: "";
    position: absolute;
    background: url("../images/bg-bottom.svg") no-repeat;
    width: 100%;
    height: 100%;
    top: 60%;
    right: 10%;
    z-index: -1;
  }
}
